Skip to main content
`Ctrl`+`K`

# TSAdaptType

String with the name of `TSAdapt` scheme.

## Synopsis

    #include <petscts.h>
    typedef const char *TSAdaptType;
    #define TSADAPTNONE    "none"
    #define TSADAPTBASIC   "basic"
    #define TSADAPTDSP     "dsp"
    #define TSADAPTCFL     "cfl"
    #define TSADAPTGLEE    "glee"
    #define TSADAPTHISTORY "history"

## See Also

TS: Scalable ODE and DAE Solvers, Error control via variable time-stepping, `TSGetAdapt()`, `TSAdaptSetType()`, `TS`, `TSAdapt`

## Level

beginner

## Location

include/petscts.h

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages